# Change Log
All notable changes to this project will be documented in this file.


## [1.2] - 2024-07-17 [Public]

### Fixes

- Resolved issues with updating logs, ensuring the Logs window functions correctly.
- Corrected the `setup.py` file to ensure proper package packing.
- Enhanced the activity viewer with various improvements for better usability and performance.


## [1.1] - 2024-04-04 [Public]


### Features

- Improved the activity dashboard.
- Modified the Dockerfile for the collector, in order to use python.
- Added a new collector script, to hanlde interaction in the decoys.

### Fixes

- Rectified typos.


## [1.0] - 2024-03-29 [Public]

### Features

- Enhanced the activity dashboard, resolving issues and optimizing log retrieval.
- Introduced a section for frequently asked questions.
- Provided comprehensive documentation covering all aspects of the framework.
- Included additional placeholders for decoy creation to enhance customization.

### Fixes

- Corrected typos in the APIs.
- Addressed a typo in the decoy reading process for improved accuracy.


## [0.5] - 2024-03-25 [Private]
Version 0.5 introduces refined features, bug fixes, and structural enhancements to the project.

### Features
- Implemented activity dashboard for enhanced project overview.
- Added a refresh button for smoother operation management.
- Enhanced operation view for improved clarity and usability.
- Added functionality to edit operations and decoys directly within the interface.

### Structural Improvements
- Restructured code into a package environment for better organization and scalability.
- Enhanced docker container management for smoother deployment and maintenance.

### Fixes
- Rectified typos and removed unused dependencies for a cleaner codebase.


## [0.2] - 2024-03-20 [Private]
Version 0.2 marks the initial documentation setup, structural enhancements, and addition of contribution guidelines.

### Documentation
- Added initial documentation and project structure.
- Included a contribution guide to facilitate collaboration.
- Updated TODO list for clearer project goals.
- Documented blueprints, CLI, context, and services for improved understanding.
- Added comprehensive usage documentation.


## [0.1] - 2024-03-12 [Private]
Version 0.1 brings significant improvements to user interface, functionality, and documentation.

### User Interface
- Enhanced user interface for a more intuitive experience.
- Renamed "servicefiles" to "decoyfiles" for clarity.

### Functionality
- Improved documentation readability for better understanding.
- Added raw logs terminal viewer for detailed monitoring.
- Implemented functionality for decoy management, including start, stop, deploy, and delete operations.
- Enhanced Docker client configuration for smoother integration.

### Additional Features
- Added WebSocket handler for real-time raw logs viewer.